Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Interface IBorderAttributes

    public interface IBorderAttributes

Constants for RTF border attribute names.

Field Summary
`static java.lang.String` | `BORDER_BOTTOM` Constant for border bottom
`static java.lang.String` | `BORDER_CHARACTER` Constant for character border (border always appears on all sides)
`static java.lang.String` | `BORDER_COLOR` Constant for border color
`static java.lang.String` | `BORDER_DASH` Constant for a dashed border
`static java.lang.String` | `BORDER_DASH_SMALL` Constant for a small-dashed border
`static java.lang.String` | `BORDER_DOT_DASH` Constant for a dot-dashed border
`static java.lang.String` | `BORDER_DOT_DOT_DASH` Constant for a dot-dot-dashed border
`static java.lang.String` | `BORDER_DOTTED` Constant for a dotted border
`static java.lang.String` | `BORDER_DOUBLE` Constant for a double border
`static java.lang.String` | `BORDER_DOUBLE_THICKNESS` Constant for a double-thick border
`static java.lang.String` | `BORDER_EMBOSS` Constant for an embossed border
`static java.lang.String` | `BORDER_ENGRAVE` Constant for an engraved border
`static java.lang.String` | `BORDER_HAIRLINE` Constant for a hairline border
`static java.lang.String` | `BORDER_LEFT` Constant for border left
`static java.lang.String` | `BORDER_NIL` Constant for an nil border
`static java.lang.String` | `BORDER_RIGHT` Constant for border right
`static java.lang.String` | `BORDER_SHADOWED` Constant for a shadowed border
`static java.lang.String` | `BORDER_SINGLE_THICKNESS` Constant for a single-thick border
`static java.lang.String` | `BORDER_SPACE` Constant for border space
`static java.lang.String` | `BORDER_STRIPED` Constant for a striped border
`static java.lang.String` | `BORDER_THIN_THICK_LARGE` Constant for a thin-thick-large border
`static java.lang.String` | `BORDER_THIN_THICK_MEDIUM` Constant for a thin-thick-medium border
`static java.lang.String` | `BORDER_THIN_THICK_SMALL` Constant for a thin-thick-small border
`static java.lang.String` | `BORDER_THIN_THICK_THIN_LARGE` Constant for a thin-thick-thin-large border
`static java.lang.String` | `BORDER_THIN_THICK_THIN_MEDIUM` Constant for a thin-thick-thin-medium border
`static java.lang.String` | `BORDER_THIN_THICK_THIN_SMALL` Constant for a thin-thick-thin-small border
`static java.lang.String` | `BORDER_THINK_THIN_LARGE` Constant for a think-thin-large border
`static java.lang.String` | `BORDER_THINK_THIN_MEDIUM` Constant for a think-thin-medium border
`static java.lang.String` | `BORDER_THINK_THIN_SMALL` Constant for a think-thin-small border
`static java.lang.String` | `BORDER_TOP` Constant for border top
`static java.lang.String` | `BORDER_TRIPLE` Constant for a triple border
`static java.lang.String` | `BORDER_WAVY` Constant for a wavy border
`static java.lang.String` | `BORDER_WAVY_DOUBLE` Constant for a double wavy border
`static java.lang.String` | `BORDER_WIDTH` Constant for border width
`static java.lang.String[]` | `BORDERS` String array of border attributes

Field Detail

### BORDER_LEFT

    static final java.lang.String BORDER_LEFT

  Constant for border left

  See Also:
    Constant Field Values

### BORDER_RIGHT

    static final java.lang.String BORDER_RIGHT

  Constant for border right

  See Also:
    Constant Field Values

### BORDER_TOP

    static final java.lang.String BORDER_TOP

  Constant for border top

  See Also:
    Constant Field Values

### BORDER_BOTTOM

    static final java.lang.String BORDER_BOTTOM

  Constant for border bottom

  See Also:
    Constant Field Values

### BORDER_CHARACTER

    static final java.lang.String BORDER_CHARACTER

  Constant for character border (border always appears on all sides)

  See Also:
    Constant Field Values

### BORDER_SINGLE_THICKNESS

    static final java.lang.String BORDER_SINGLE_THICKNESS

  Constant for a single-thick border

  See Also:
    Constant Field Values

### BORDER_DOUBLE_THICKNESS

    static final java.lang.String BORDER_DOUBLE_THICKNESS

  Constant for a double-thick border

  See Also:
    Constant Field Values

### BORDER_SHADOWED

    static final java.lang.String BORDER_SHADOWED

  Constant for a shadowed border

  See Also:
    Constant Field Values

### BORDER_DOUBLE

    static final java.lang.String BORDER_DOUBLE

  Constant for a double border

  See Also:
    Constant Field Values

### BORDER_DOTTED

    static final java.lang.String BORDER_DOTTED

  Constant for a dotted border

  See Also:
    Constant Field Values

### BORDER_DASH

    static final java.lang.String BORDER_DASH

  Constant for a dashed border

  See Also:
    Constant Field Values

### BORDER_HAIRLINE

    static final java.lang.String BORDER_HAIRLINE

  Constant for a hairline border

  See Also:
    Constant Field Values

### BORDER_DASH_SMALL

    static final java.lang.String BORDER_DASH_SMALL

  Constant for a small-dashed border

  See Also:
    Constant Field Values

### BORDER_DOT_DASH

    static final java.lang.String BORDER_DOT_DASH

  Constant for a dot-dashed border

  See Also:
    Constant Field Values

### BORDER_DOT_DOT_DASH

    static final java.lang.String BORDER_DOT_DOT_DASH

  Constant for a dot-dot-dashed border

  See Also:
    Constant Field Values

### BORDER_TRIPLE

    static final java.lang.String BORDER_TRIPLE

  Constant for a triple border

  See Also:
    Constant Field Values

### BORDER_THINK_THIN_SMALL

    static final java.lang.String BORDER_THINK_THIN_SMALL

  Constant for a think-thin-small border

  See Also:
    Constant Field Values

### BORDER_THIN_THICK_SMALL

    static final java.lang.String BORDER_THIN_THICK_SMALL

  Constant for a thin-thick-small border

  See Also:
    Constant Field Values

### BORDER_THIN_THICK_THIN_SMALL

    static final java.lang.String BORDER_THIN_THICK_THIN_SMALL

  Constant for a thin-thick-thin-small border

  See Also:
    Constant Field Values

### BORDER_THINK_THIN_MEDIUM

    static final java.lang.String BORDER_THINK_THIN_MEDIUM

  Constant for a think-thin-medium border

  See Also:
    Constant Field Values

### BORDER_THIN_THICK_MEDIUM

    static final java.lang.String BORDER_THIN_THICK_MEDIUM

  Constant for a thin-thick-medium border

  See Also:
    Constant Field Values

### BORDER_THIN_THICK_THIN_MEDIUM

    static final java.lang.String BORDER_THIN_THICK_THIN_MEDIUM

  Constant for a thin-thick-thin-medium border

  See Also:
    Constant Field Values

### BORDER_THINK_THIN_LARGE

    static final java.lang.String BORDER_THINK_THIN_LARGE

  Constant for a think-thin-large border

  See Also:
    Constant Field Values

### BORDER_THIN_THICK_LARGE

    static final java.lang.String BORDER_THIN_THICK_LARGE

  Constant for a thin-thick-large border

  See Also:
    Constant Field Values

### BORDER_THIN_THICK_THIN_LARGE

    static final java.lang.String BORDER_THIN_THICK_THIN_LARGE

  Constant for a thin-thick-thin-large border

  See Also:
    Constant Field Values

### BORDER_WAVY

    static final java.lang.String BORDER_WAVY

  Constant for a wavy border

  See Also:
    Constant Field Values

### BORDER_WAVY_DOUBLE

    static final java.lang.String BORDER_WAVY_DOUBLE

  Constant for a double wavy border

  See Also:
    Constant Field Values

### BORDER_STRIPED

    static final java.lang.String BORDER_STRIPED

  Constant for a striped border

  See Also:
    Constant Field Values

### BORDER_EMBOSS

    static final java.lang.String BORDER_EMBOSS

  Constant for an embossed border

  See Also:
    Constant Field Values

### BORDER_ENGRAVE

    static final java.lang.String BORDER_ENGRAVE

  Constant for an engraved border

  See Also:
    Constant Field Values

### BORDER_NIL

    static final java.lang.String BORDER_NIL

  Constant for an nil border

  See Also:
    Constant Field Values

### BORDER_COLOR

    static final java.lang.String BORDER_COLOR

  Constant for border color

  See Also:
    Constant Field Values

### BORDER_SPACE

    static final java.lang.String BORDER_SPACE

  Constant for border space

  See Also:
    Constant Field Values

### BORDER_WIDTH

    static final java.lang.String BORDER_WIDTH

  Constant for border width

  See Also:
    Constant Field Values

### BORDERS

    static final java.lang.String[] BORDERS

  String array of border attributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.